[package]
name = "hg-cpython"
version = "0.1.0"
authors = ["Georges Racinet <gracinet@anybox.fr>"]
edition = "2018"

[lib]
name='rusthg'
crate-type = ["cdylib"]

[features]
default = ["python27"]

python27 = ["cpython/python27-sys",
            "cpython/extension-module-2-7",
            "python27-sys",
            ]

python3 = ["python3-sys", "cpython/python3-sys", "cpython/extension-module"]

[dependencies]
hg-core = { path = "../hg-core" }
libc = '*'

[dependencies.cpython]
version = "*"
default-features = false

[dependencies.python27-sys]
version = "0.2.1"
optional = true

[dependencies.python3-sys]
version = "0.2.1"
optional = true
